---
title: WebGL2RenderingContext.waitSync()
slug: Web/API/WebGL2RenderingContext/waitSync
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <code><strong>WebGL2RenderingContext.waitSync()</strong></code> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> returns immediately, but waits on the GL server until the given {{domxref("WebGLSync")}} object is signaled.</p>

<p>The method is a no-op in the absence of the possibility of synchronizing between multiple GL contexts.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.waitSync(<var>sync</var>, <var>flags</var>, <var>timeout</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>sync</code></dt>
 <dd>A {{domxref("WebGLSync")}} object on which to wait on.</dd>
 <dt>flags</dt>
 <dd>A {{domxref("GLbitfield")}} specifying a bitwise combination of flags controlling the flushing behavior. Must be <code>0</code> (exists for extensions only).</dd>
 <dt>timeout</dt>
 <dd>A {{domxref("GLint64")}} specifying a timeout the server should wait before continuing. Must be <code>gl.TIMEOUT_IGNORED</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var sync = gl.fenceSync(gl.SYNC_GPU_COMMANDS_COMPLETE, 0);
gl.waitSync(sync, 0, gl.TIMEOUT_IGNORED);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.14", "waitSync")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glWaitSync.xhtml", "glWaitSync")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.waitSync")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLSync")}}</li>
</ul>
